list_item_bulk

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

When using the upload extra to upload bulk files of list items, the following considerations should be taken:

  • Uploading a bulk file will replace any existing list items that are duplicates, and will add new list items
  • File formats supported are csv, txt, xls and xlsx.
  • See details below on formatting of files

TXT Uploads

Text files are expected to be pipe separated with fields in specific order and separated by newlines. For example:

one_list_item,
a list item with a value|0.4
a list item with a value and a name|0.4|a name goes here
a list item with a name but no value||a name goes here

For lat_long text files, the order of fields is lat|long|radius|value|name as shown below:

10|10|0.5
10|13|0.5|0.9|Starbucks on Main St
10|15||0.9|Starbucks with default radius
10|16|||Starbucks with default radius and no value

CSV Uploads

For csv files each list_item should be a single string in quotes with pipes delimiting the values. Examples below:

"one_list_item",
"a list item with a value|0.4"
"a list item with a value and a name|0.4|a name goes here"
"a list item with a name but no value||a name goes here"

For lat_long csv files, the order of fields is lat|long|radius|value|name as shown below:

"10|10|0.5",
"10|13|0.5|0.9|Starbucks on Main St",
"10|15||0.9|Starbucks with default radius",
"10|16|||Starbucks with default radius and no value",

Excel Uploads

For excel bulk uploads (other than lat_long list type), the values must be in the first tab of the file and the file should not have a header row. The values must be in the following order, with only the list_item as a required field:

list_itemvaluelist_item_name

For lat_long lists, the values should be in the following order, with the lat and long as required fields:

  1. lat
  2. long
  3. radius_km
  4. value

Do not include a header row in the flle.

Body Params
int32
required

The unique ID of the list. List must be active.

list_items
array of strings
required

An array of items and optional values in format {"list_item":"foo","value":1.2}. Items are validated based on the type of the corresponding Custom List

list_items*
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json